FullWrtTextInternal::Zone Struct Reference

Internal: class to store a text zone. More...

## Public Types

enum | ZoneType { Normal , Main , CollapsedItem }
| the zone type More...

## Public Member Functions

| Zone ()
| constructor
std::vector< int > | getBreaksPosition () const
| return the col/page break

## Public Attributes

FullWrtStruct::EntryPtr | m_zone
| the main zone
MWAWBox2f | m_box
| the bdbox
long | m_begin
| the beginning of the text data
long | m_end
| the end of the text data
ZoneType | m_zoneType
| the zone type
int | m_flags [2]
| the zone flags, header|footer, normal|extra
int | m_pages [2]
| the pages
std::vector< PageInfo > | m_pagesInfo
| the pages info
std::string | m_extra
| the extra data ( for debugging )

## Friends

std::ostream & | operator<< (std::ostream &o, Zone const &z)
| operator<<

## Detailed Description

Internal: class to store a text zone.

## Member Enumeration Documentation

## ZoneType

enum FullWrtTextInternal::Zone::ZoneType

the zone type

Enumerator
Normal |
Main |
CollapsedItem |

## Constructor & Destructor Documentation

## Zone()

FullWrtTextInternal::Zone::Zone | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## getBreaksPosition()

std::vector< int > FullWrtTextInternal::Zone::getBreaksPosition | ( |  | ) | const

inline

return the col/page break

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Zone const & | z )

friend

operator<<

## Member Data Documentation

## m_begin

long FullWrtTextInternal::Zone::m_begin

the beginning of the text data

Referenced by operator<<, and Zone().

## m_box

MWAWBox2f FullWrtTextInternal::Zone::m_box

the bdbox

Referenced by operator<<, and Zone().

## m_end

long FullWrtTextInternal::Zone::m_end

the end of the text data

Referenced by operator<<, and Zone().

## m_extra

std::string FullWrtTextInternal::Zone::m_extra

the extra data ( for debugging )

Referenced by operator<<, and Zone().

## m_flags

int FullWrtTextInternal::Zone::m_flags[2]

the zone flags, header|footer, normal|extra

Referenced by operator<<, and Zone().

## m_pages

int FullWrtTextInternal::Zone::m_pages[2]

the pages

Referenced by operator<<, and Zone().

## m_pagesInfo

std::vector<PageInfo> FullWrtTextInternal::Zone::m_pagesInfo

the pages info

Referenced by getBreaksPosition(), and Zone().

## m_zone

FullWrtStruct::EntryPtr FullWrtTextInternal::Zone::m_zone

the main zone

Referenced by operator<<, and Zone().

## m_zoneType

ZoneType FullWrtTextInternal::Zone::m_zoneType

the zone type

Referenced by operator<<, and Zone().

The documentation for this struct was generated from the following file:

- FullWrtText.cxx